The base interface for UserPresence-related events.

### Hierarchy

- IConvergenceEvent
  - IPresenceEvent

### Implemented by

- PresenceAvailabilityChangedEvent
- PresenceStateClearedEvent
- PresenceStateRemovedEvent
- PresenceStateSetEvent

## Index

### Properties

- name
- user

## Properties

### name

name: string

Inherited from IConvergenceEvent.name

The name of the event that was fired. This is commonly used to filter when using the ConvergenceEventEmitter.events stream.

Note that the name is only guaranteed to be unique within the class / subsystem that is firing it. Names might be reused across classes and subsystems.

### user

user: DomainUser

The user associated with the presence event.